Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.launching
Class LibraryLocation

    java.lang.Object
      org.eclipse.jdt.launching.LibraryLocation

public final class LibraryLocation
extends Object

The location of a library (for example rt.jar).

Clients may instantiate this class; it is not intended to be subclassed.

Constructor Summary
`LibraryLocation(IPath libraryPath, IPath sourcePath, IPath packageRoot)` Creates a new library location.

Method Summary
`protected boolean` | `equals(IPath path1, IPath path2)` Returns whether the given paths are equal - either may be `null`.
`boolean` | `equals(Object obj)`
`IPath` | `getPackageRootPath()` Returns the path to the default package in the sources zip file
`IPath` | `getSystemLibraryPath()` Returns the JRE library jar location.
`IPath` | `getSystemLibrarySourcePath()` Returns the JRE library source zip location.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibraryLocation

    public LibraryLocation(IPath libraryPath,
                           IPath sourcePath,
                           IPath packageRoot)

  Creates a new library location.

Parameters:
  `libraryPath` - The location of the JAR containing java.lang.Object Must not be `null`.
  `sourcePath` - The location of the zip file containing the sources for `library` Must not be `null` (Use Path.EMPTY instead)
  `packageRoot` - The path inside the `source` zip file where packages names begin. If the source for java.lang.Object source is found at "src/java/lang/Object.java" in the zip file, the packageRoot should be "src" Must not be `null`. (Use Path.EMPTY or IPath.ROOT)
Throws:
  `IllegalArgumentException` - If the library path is `null`.

Method Detail

### getSystemLibraryPath

    public IPath getSystemLibraryPath()

  Returns the JRE library jar location.

  Returns:
    The JRE library jar location.

### getSystemLibrarySourcePath

    public IPath getSystemLibrarySourcePath()

  Returns the JRE library source zip location.

  Returns:
    The JRE library source zip location.

### getPackageRootPath

    public IPath getPackageRootPath()

  Returns the path to the default package in the sources zip file

  Returns:
    The path to the default package in the sources zip file.

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### equals

    protected boolean equals(IPath path1,
                             IPath path2)

  Returns whether the given paths are equal - either may be `null`.

  Parameters:
    `path1` - path to be compared
    `path2` - path to be compared
  Returns:
    whether the given paths are equal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.